# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: weclikd/common/follow.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='weclikd/common/follow.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1bweclikd/common/follow.proto\x12\x07weclikd\"\x94\x01\n\x0e\x46ollowSettings\x12\x14\n\x0c\x66ilter_value\x18\x01 \x01(\r\x12\x37\n\x0b\x66ollow_type\x18\x02 \x01(\x0e\x32\".weclikd.FollowSettings.FollowType\"3\n\nFollowType\x12\x0b\n\x07UNKNOWN\x10\x00\x12\n\n\x06\x46OLLOW\x10\x01\x12\x0c\n\x08\x46\x41VORITE\x10\x02\x62\x06proto3'
)



_FOLLOWSETTINGS_FOLLOWTYPE = _descriptor.EnumDescriptor(
  name='FollowType',
  full_name='weclikd.FollowSettings.FollowType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='FOLLOW', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='FAVORITE', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=138,
  serialized_end=189,
)
_sym_db.RegisterEnumDescriptor(_FOLLOWSETTINGS_FOLLOWTYPE)


_FOLLOWSETTINGS = _descriptor.Descriptor(
  name='FollowSettings',
  full_name='weclikd.FollowSettings',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='filter_value', full_name='weclikd.FollowSettings.filter_value', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='follow_type', full_name='weclikd.FollowSettings.follow_type', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _FOLLOWSETTINGS_FOLLOWTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=41,
  serialized_end=189,
)

_FOLLOWSETTINGS.fields_by_name['follow_type'].enum_type = _FOLLOWSETTINGS_FOLLOWTYPE
_FOLLOWSETTINGS_FOLLOWTYPE.containing_type = _FOLLOWSETTINGS
DESCRIPTOR.message_types_by_name['FollowSettings'] = _FOLLOWSETTINGS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

FollowSettings = _reflection.GeneratedProtocolMessageType('FollowSettings', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWSETTINGS,
  '__module__' : 'weclikd.common.follow_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowSettings)
  })
_sym_db.RegisterMessage(FollowSettings)


# @@protoc_insertion_point(module_scope)
